
Foreman - Refactor #32287

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Load Setting index page from memory registry

04/10/2021 11:32 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8438,

https://github.com/theforeman/foreman/p

ull/8665

  

Description

Implement simple search_for() on the memory registry, so we can mimic the Setting model behaviour and serve the Setting index

page from memory.

Related issues:

Precedes Foreman - Refactor #32415: Use only SettingRegistry to read and upda... Closed

Associated revisions

Revision 3a9143a1 - 05/11/2021 03:15 PM - Ondřej Ezr

Fixes #32287 - setting index loads from registry

The values provided on the Setting index page are now served from

registry, with simple search API, that can be easily improve to support

more querying features.

Revision ad72115f - 07/27/2021 09:26 AM - Leos Stejskal

refs #32287 - Restrict search operators for Settings

Search method from 'setting index loads from registry' PR [0]

support only few search operators, `SearchBar` component

at Settings page should not display other unsupported operators

[0] https://github.com/theforeman/foreman/pull/8438

History

#1 - 04/11/2021 12:22 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman/pull/8438 added

#2 - 04/24/2021 09:43 PM - Ondřej Ezr

- Precedes Refactor #32415: Use only SettingRegistry to read and update the settings added

#3 - 05/11/2021 03:15 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#4 - 05/11/2021 04:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/8438


Applied in changeset foreman|3a9143a1960ae20662d0430a27a5c5467052dd8c.

#5 - 07/14/2021 12:40 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8665 added
